<?php
    session_start();
    if (isset($_SESSION['loggedin']) && $_SESSION['loggedin'] == true) {
        $userLogged = $_SESSION['user'];
        $userNick = $_SESSION['nick'];
        $userClan = $_SESSION['clan'];
    } else {
        header("location:index.php");
    }

?>
    <!doctype html>
    <html>

    <head>
        <meta charset="utf-8">
        
        <link rel="stylesheet" type="text/css" href="css/style.css">
        <link rel="stylesheet" type="text/css" href="css/menu.css">
        <link rel="stylesheet" type="text/css" href="css/interna.css">
        <link rel="stylesheet" href="css/panel.css">
        <?php
        include "php/functions.php"
        ?>
        <?php
            $azul = getScore("prize/azul.txt");
            $naranja = getScore("prize/naranja.txt");
            $rojo = getScore("prize/rojo.txt");
            $ganador = getWinner($azul, $naranja, $rojo);
        ?>
    </head>

    <body>
        <main>
        <!--<img class="logo-juego" src="img/iconos/logo.png">-->
        <section class=villa>
            <div class="fondo">
                <div class="campo"></div>
                <div class="sendero"><img src="img/fondos/sendero.png"></div>
            </div>
            <div class="castillos">
                <div id="grupo-a" class="item-castillo">
                    <img class="castillo" src="img/naranja/castillo/e4.png">
                    <img id="e1" class="escudo" src="img/naranja/escudo/escudo.png"> 
                    <img id="j1" class="lider" src="img/naranja/lider/adsilvaap.png">
                </div>
                <div id="grupo-b" class="item-castillo">
                    <img class="castillo" src="img/azul/castillo/e4.png">   
                    <img id="e2" class="escudo" src="img/azul/escudo/escudo.png">
                    <img id="j2" class="lider" src="img/azul/lider/joblancoma.png">
                </div>
                <div id="grupo-c" class="item-castillo">
                    <img class="castillo" src="img/rojo/castillo/e4.png">   
                    <img id="e3" class="escudo" src="img/rojo/escudo/escudo.png">
                    <img id="j3" class="lider" src="img/rojo/lider/diparrada.png">
                </div>
            </div>
        </section>     
    </main>
    <section class="interna">
        <div class="pop-up pop-contenido-metas pop-admin">
                    <div class="pop-data">
                        <img class="fondo-aviso-interna" src="img/fondos/fondo-interna.png">
                        <div class="panel">
            <tr>
                <form method="post" enctype="multipart/form-data" action="php/upload.php">
                    <td>
                        <table id="admin-progreso">
                            <tr>
                                <td><strong>Administrar Progreso</strong></td>
                            </tr>
                            <tr>
                                <td><span>Cargar Prescripciones</span>
                                    <input name="ufile[]" type="file" size="50" accept=".csv" />
                                </td>
                            </tr>
                            
                            <tr>
                                <td><span>Cargar Usuarios</span>
                                    <input name="ufile[]" type="file" size="50" accept=".csv" />
                                </td>
                            </tr>
                            <tr>
                                <td><span>Cargar Top</span>
                                    <input name="ufile[]" type="file" size="50" accept=".csv" />
                                </td>
                            </tr>
                            <tr>
                                <td align="center">
                                    <input type="submit" name="Submit" value="Cargar" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </form>
                <form method="post" enctype="multipart/form-data" action="php/prize.php">
                    <td>
                        <table id="admin-premio">
                            <tr>
                                <td><strong>Administrar Premio</strong></td>
                            </tr>
                            <tr>
                                <td><span>Desafio Semana</span>
                                    <select name="weekly">
                                        <option value="decretos">Decretos</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td><span>Cargar Premio Semana</span>
                                    <input name="ufile[]" type="file" size="50" accept="image/*" />
                                </td>
                            </tr>
                            <tr>
                                <td><span>Nombre Premio Semana</span>
                                    <input name="prizen" type="text" size="40" />
                                </td>
                            </tr>
                            <tr>
                                <td align="center">
                                    <input type="submit" name="Submit" value="Cargar" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </form>
            </tr>
        </div>
                        <div>
                            <button id="ganador" onclick="showWinner()">Consultar Ganador</button>
                            <span id="resultado" class="oculto"><?php echo $ganador[0][0] ?> con <?php echo $ganador[0][1] ?> Puntos.</span>
                        </div>
        <a href="php/restart.php">Reiniciar Puntajes</a>
        <a href="php/logout.php">Cerrar Sesión</a>
                    </div>
                </div>
    </section>
    <script type="text/javascript" src="lib/jquery-2.2.3.min.js"></script>
    <script type="text/javascript" src="lib/jquery-migrate-1.2.1.min.js"></script>
    <script type="text/javascript" src="js/script-style.js"></script>
    <script type="text/javascript" src="js/script-pops.js"></script>
    <script>
        function showWinner() {
            document.getElementById("resultado").className = "";
        }
    </script>
    </body>

    </html>